GetProductsParameters
Definition of products request parameters.
interface GetProductsParameters extends Pick<RequestVariables, "channel">, ProductsPaginationParameters {
"categories:in"?: number;
"date_last_imported:max"?: string;
"date_last_imported:min"?: string;
"date_modified:max"?: string;
"date_modified:min"?: string;
"id:greater"?: number[];
"id:in"?: number[];
"id:less"?: number[];
"id:max"?: number[];
"id:min"?: number[];
"id:not_in"?: number[];
"intentory_level:not_in"?: number;
"inventory_level:greater"?: number;
"inventory_level:in"?: number;
"inventory_level:less"?: number;
"inventory_level:max"?: number;
"inventory_level:min"?: number;
"sku:in"?: string[];
availability?: "available" | "disabled" | "preorder";
brand_id?: number;
categories?: number;
condition?: "new" | "refurbished" | "used";
date_last_imported?: string;
date_modified?: string;
direction?: "asc" | "desc";
exclude_fields?: string;
id?: number;
include_fields?: string;
include?: string;
inventory_level?: number;
inventory_low?: 0 | 1;
is_featured?: 0 | 1;
is_free_shipping?: 0 | 1;
is_visible?: boolean;
keyword_context?: "merchant" | "shopper";
keyword?: string;
name?: string;
out_of_stock?: 1;
price?: number;
sku?: string;
sort?: ProductsSortEnum;
status?: number;
total_sold?: number;
type?: "digital" | "physical";
upc?: string;
weight?: number;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
"categories:in" | Optional | number | Filter items by categories. Use for products in multiple categories. For example, categories:in=12. |
"date_last_imported:max" | Optional | string | Filter items by date_last_imported. For example, date_last_imported:max=2018-06-15. |
"date_last_imported:min" | Optional | string | Filter items by date_last_imported. For example, date_last_imported:min=2020-06-15. |
"date_modified:max" | Optional | string | Filter items by date_modified. For example, date_modified:max=2020-06-15. |
"date_modified:min" | Optional | string | Filter items by date_modified. For example, date_modified:min=2018-06-15. |
"id:greater" | Optional | number[] | Filter items by list of ids greater then passed to filter. |
"id:in" | Optional | number[] | Filter items by list of ids. |
"id:less" | Optional | number[] | Filter items by list of ids less then passed to filter. |
"id:max" | Optional | number[] | Filter items by list of max ids. |
"id:min" | Optional | number[] | Filter items by list of min ids. |
"id:not_in" | Optional | number[] | Filter items by list of excluded ids. |
"intentory_level:not_in" | Optional | number | Filter items by inventory_level. |
"inventory_level:greater" | Optional | number | Filter items by inventory_level greater than passed to param. |
"inventory_level:in" | Optional | number | Filter items by inventory_level. |
"inventory_level:less" | Optional | number | Filter items by inventory_level less than passed to param. |
"inventory_level:max" | Optional | number | Filter items by max inventory_level. |
"inventory_level:min" | Optional | number | Filter items by min inventory_level. |
"sku:in" | Optional | string[] | Filter items by SKU. |
availability | Optional | "available" | "disabled" | "preorder" | Filter items by availability. Values are: available, disabled, preorder. |
brand_id | Optional | number | Filter items by brand_id. |
categories | Optional | number | Filter items by categories. If a product is in more than one category, using this query will not return the product. Instead use categories:in=12. |
condition | Optional | "new" | "refurbished" | "used" | Filter items by condition. |
date_last_imported | Optional | string | Filter items by date_last_imported. |
date_modified | Optional | string | Filter items by date_modified. |
direction | Optional | "asc" | "desc" | Sort direction. Acceptable values are: asc, desc. |
exclude_fields | Optional | string | Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded. |
id | Optional | number | Filter items by id. |
include_fields | Optional | string | Fields to include, in a comma-separated list. The ID and the specified fields will be returned. |
include | Optional | string | Sub-resources to include on a product, in a comma-separated list. If options or modifiers is used, results are limited to 10 per page. |
inventory_level | Optional | number | Filter items by inventory_level. |
inventory_low | Optional | 0 | 1 | Filter items by inventory_low. Values: 1, 0. |
is_featured | Optional | 0 | 1 | Filter items by is_featured. 1 for true, 0 for false. |
is_free_shipping | Optional | 0 | 1 | Filter items by is_free_shipping. 1 for true, 0 for false. |
is_visible | Optional | boolean | Filter items based on whether the product is currently visible on the storefront. |
keyword_context | Optional | "merchant" | "shopper" | Set context used by the search algorithm to return results targeted towards the specified group. Use merchant to help merchants search their own catalog. Use shopper to return shopper-facing search results. |
keyword | Optional | string | Filter items by keywords found in the name, description, or sku fields, or in the brand name. |
name | Optional | string | Filter items by name. |
out_of_stock | Optional | 1 | Filter items by out_of_stock. To enable the filter, pass out_of_stock=1. |
price | Optional | number | Filter items by price. |
sku | Optional | string | Filter items by main SKU. To filter by variant SKU, see Get All Variants. |
sort | Optional | ProductsSortEnum | Field name to sort by. Note: Since id increments when new products are added, you can use that field to sort by product create date. |
status | Optional | number | Filter items by status. |
total_sold | Optional | number | Filter items by total_sold. |
type | Optional | "digital" | "physical" | Filter items by type. |
upc | Optional | string | Filter items by upc. |
weight | Optional | number | Filter items by weight. |